Runtime

## org.eclipse.gmf.runtime.notation
Interface Style

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ArrowStyle, BasicCompartment, BasicSemanticCompartment, BooleanListValueStyle, BooleanValueStyle, ByteArrayValueStyle, CanonicalStyle, Compartment, Connector, ConnectorStyle, DataTypeStyle, DescriptionStyle, DiagramLinkStyle, DiagramStyle, DobleValueStyle, DoubleListValueStyle, DoubleValueStyle, DrawerStyle, EObjectListValueStyle, EObjectValueStyle, FillStyle, FilteringStyle, FontStyle, GuideStyle, HintedDiagramLinkStyle, ImageBufferStyle, ImageStyle, IntListValueStyle, IntValueStyle, LineStyle, LineTypeStyle, ListCompartment, ListValueStyle, MultiDiagramLinkStyle, NamedStyle, PageStyle, PropertiesSetStyle, RoundedCornersStyle, RoutingStyle, SemanticListCompartment, Shape, ShapeStyle, SingleValueStyle, SortingStyle, StandardDiagram, StringListValueStyle, StringValueStyle, TextStyle, TitleStyle

All Known Implementing Classes:
  ArrowStyleImpl, BasicCompartmentImpl, BasicSemanticCompartmentImpl, BooleanListValueStyleImpl, BooleanValueStyleImpl, ByteArrayValueStyleImpl, CanonicalStyleImpl, CompartmentImpl, ConnectorImpl, ConnectorStyleImpl, DataTypeStyleImpl, DescriptionStyleImpl, DiagramLinkStyleImpl, DiagramStyleImpl, DoubleListValueStyleImpl, DoubleValueStyleImpl, DrawerStyleImpl, EObjectListValueStyleImpl, EObjectValueStyleImpl, FillStyleImpl, FilteringStyleImpl, FontStyleImpl, GuideStyleImpl, HintedDiagramLinkStyleImpl, ImageBufferStyleImpl, ImageStyleImpl, IntListValueStyleImpl, IntValueStyleImpl, LineStyleImpl, LineTypeStyleImpl, ListCompartmentImpl, ListValueStyleImpl, MultiDiagramLinkStyleImpl, NamedStyleImpl, PageStyleImpl, PropertiesSetStyleImpl, RoundedCornersStyleImpl, RoutingStyleImpl, SemanticListCompartmentImpl, ShapeImpl, ShapeStyleImpl, SingleValueStyleImpl, SortingStyleImpl, StandardDiagramImpl, StringListValueStyleImpl, StringValueStyleImpl, TextStyleImpl, TitleStyleImpl

    public interface Style

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Style'.

The basic abstraction of a collection of appearance properties that are usually grouped together

See Also:
  `NotationPackage.getStyle()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.